﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_row_column_montage
{
    public partial class DlgSpacing : Form
    {
        public DlgSpacing()
        {
            InitializeComponent();
        }

        private Padding _Spacing;
        public Padding Spacing
        {
            get { return _Spacing; }
            set
            {
                _Spacing = value;
                txtSpacing.Text =
                    string.Format("{0}, {1}, {2}, {3}",
                        value.Left, value.Top,
                        value.Right, value.Bottom);
            }
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            int left, top, right, bottom;
            try
            {
                string[] fields = txtSpacing.Text.Split(',');
                if (fields.Length == 1)
                {
                    left = int.Parse(fields[0]);
                    right = left;
                    top = left;
                    bottom = left;
                }
                else
                {
                    left = int.Parse(fields[0]);
                    top = int.Parse(fields[1]);
                    right = int.Parse(fields[2]);
                    bottom = int.Parse(fields[3]);
                }

                Spacing = new Padding(left, top, right, bottom);
                DialogResult = DialogResult.OK;
            }
            catch (Exception)
            {
                MessageBox.Show(
                    "Enter margin as a single integer or " +
                    "in the format left, top, right, bottom.",
                    "Invalid Format",
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Error);
            }
        }
    }
}
